%define name perl-syslog
%define real_name syslog
%define version 0.97

Name: %{name}
Version: %{version}
Summary: UNIX::Syslog module for Perl
Release: 2
License: GPL or Artistic
Group: 		System Environment/Libraries
Source0: http://www.cpan.org/authors/id/M/MH/MHARNISH/Syslog-%{version}.tar.gz
Url: http://www.cpan.org
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.6.0
#Patch0: perl-libnet-nointeractive.patch.bz2

%description
UNIX::Syslog module for perl. Needed for Amavis-Perl

%prep
%setup -q -n Syslog-%{version}
#%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor

make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc README Artistic Changes MANIFEST TODO
%{_libdir}/perl5/vendor_perl/
%{_mandir}/*/*

%changelog
* Mon Oct 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Red Hat 8.0 release

* Mon Jan 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- First release
